com.google.cloud.spanner.jdbc

## Class PgJsonbType

- java.lang.Object
- - com.google.cloud.spanner.jdbc.PgJsonbType

All Implemented Interfaces:
  SQLType

    public class PgJsonbType
    extends Object
    implements SQLType

### Field Summary

Fields
`static PgJsonbType` `INSTANCE`
`static int` `VENDOR_TYPE_NUMBER` Spanner/Spangres does not have any type numbers, but the code values are unique.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getVendor()`
`Integer` `getVendorTypeNumber()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final PgJsonbType INSTANCE

#### VENDOR_TYPE_NUMBER

    public static final int VENDOR_TYPE_NUMBER

Spanner/Spangres does not have any type numbers, but the code values are unique. Add 200,000 to avoid conflicts with the type numbers in java.sql.Types. Native Cloud Spanner types already use the range starting at 100,000 (see `JsonType`).

See Also:
  Constant Field Values

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `SQLType`

#### getVendor

    public String getVendor()

Specified by:
  `getVendor` in interface `SQLType`

#### getVendorTypeNumber

    public Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `SQLType`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`